package com.yizhi.application;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.amqp.core.Queue;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;

import com.yizhi.core.application.mq.EventQueue;

import cc.mrbird.febs.common.security.starter.annotation.EnableFebsCloudResourceServer;


/**
 * @author scotthu
 * @date 2018年2月28日
 */

@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients("com.yizhi")
@ComponentScan("com.yizhi")
@MapperScan("com.yizhi.application.mapper")
@EnableFebsCloudResourceServer
public class AliyunApplication {

    public static void main(java.lang.String[] args) {
        SpringApplication.run(AliyunApplication.class, args);
    }

	@Bean
	public Queue createBizMessageQueue() {
		return new Queue(EventQueue.BIZ_MESSAGE, true, false, false);
	}

}
